Latest 2.5.5
Homepage https://github.com/JQHee/JQProgressHUD
License Apache License 2.0
Platforms ios 8.0
Frameworks UIKit, Foundation
Authors

Version
License
Platform

中文说明

Screenshots

result.gif

Requirements

JQProgressHUD works on "Xcode 8.2 , Swift 3 and ios 10+ to build.
You will need the latest developer tools in order to build JQProgressHUD. Old Xcode versions might work, but compatibility will not be explicitly maintained.

CocoaPods

CocoaPods is the recommended way to add JQProgressHUD to your project.

Add a pod entry for JQProgressHUD to your Podfile.

pod 'JQProgressHUD'

Second, install JQProgressHUD into your project:

pod install

Manually

  1. Download the latest code version .
  2. Open your project in Xcode,drag the JQProgressHUD folder into your project. Make sure to select Copy items when asked if you extracted the code archive outside of your project.

Usage

JQProgressHUDTool.jq_showToastHUD( msg: "this is toast")

or

JQProgressHUDTool.jq_showNormalHUD(msg: "loading...")

JQProgressHUDTool.jq_hideHUD()

For more examples, including how to use JQProgressHUD , take a look at the bundled demo project. API documentation is provided in the header file (JQProgressHUD.swift).

License

JQProgressHUD is released under the Apache license 2.0. See LICENSE for details.

Latest podspec

{
    "name": "JQProgressHUD",
    "version": "2.5.5",
    "license": "Apache License 2.0",
    "summary": "HUD in Swift",
    "homepage": "https://github.com/JQHee/JQProgressHUD",
    "authors": {
        "JQHee": "[email protected]"
    },
    "source": {
        "git": "https://github.com/JQHee/JQProgressHUD.git",
        "tag": "2.5.5"
    },
    "platforms": {
        "ios": "8.0"
    },
    "frameworks": [
        "UIKit",
        "Foundation"
    ],
    "source_files": "Source/**/*.swift"
}

Pin It on Pinterest

Share This